package net.wanji.opt.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * @author Kent HAN
 * @date 2023/2/9 8:38
 */
@Data
@NoArgsConstructor
@ApiModel(value = "SceneEvaluateabnormalDistributeVO", description = "异常事件时空分布")
public class SceneEvaluateabnormalDistributeVO {
    @ApiModelProperty(value = "拥堵次数")
    Integer congestionTimes;
    @ApiModelProperty(value = "失衡次数")
    Integer unbalanceTimes;
    @ApiModelProperty(value = "溢出次数")
    Integer spilloverTimes;
    @ApiModelProperty(value = "拥堵时长（分钟）")
    Integer congestionDuration;
    @ApiModelProperty(value = "失衡时长（分钟）")
    Integer unbalanceDuration;
    @ApiModelProperty(value = "溢出时长（分钟）")
    Integer spilloverDuration;

    @ApiModelProperty(value = "时间分布")
    List<TimeDistribution> timeDistributionList;

    @NoArgsConstructor
    @Data
    public static class TimeDistribution {

        @ApiModelProperty(value = "日期")
        @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "M/d", timezone = "GMT+8")
        private Date problemDate;

        @ApiModelProperty(value = "状态列表")
        private List<RunningEvaluateMetricsDetailVO.ProblemStatus> problemStatusList;
    }
}
